// _GestionRequetesAgent_Interface.java
// Created on 18 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.requetes.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionRequetesAgent_Interface extends COFrame {

    /** Creates new form _GestionRequetesAgent_Interface */
    public _GestionRequetesAgent_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupCorps = new org.cocktail.component.CODisplayGroup();
        displayGroupGrade = new org.cocktail.component.CODisplayGroup();
        displayGroupEchelon = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        cOButton4 = new org.cocktail.component.COButton();
        listeAffichageCorps = new org.cocktail.component.COTable();
        cOButton2 = new org.cocktail.component.COButton();
        vuePeriode = new org.cocktail.component.COView();
        cOTextField1 = new org.cocktail.component.COTextField();
        jLabel6 = new javax.swing.JLabel();
        cOButton3 = new org.cocktail.component.COButton();
        cOComboBox2 = new org.cocktail.component.COComboBox();
        listeAffichageGrade = new org.cocktail.component.COTable();
        cOButton1 = new org.cocktail.component.COButton();
        cOButton5 = new org.cocktail.component.COButton();
        listeAffichageEchelon = new org.cocktail.component.COTable();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        popupTypeIndice = new org.cocktail.component.COComboBox();
        jLabel2 = new javax.swing.JLabel();
        vueOnglets = new javax.swing.JTabbedPane();
        Identite = new javax.swing.JPanel();
        Contrat = new javax.swing.JPanel();
        Carriere = new javax.swing.JPanel();
        OccupationAffectation = new javax.swing.JPanel();
        Specialisation = new javax.swing.JPanel();
        cOButton21 = new org.cocktail.component.COButton();
        cOView1 = new org.cocktail.component.COView();
        jLabel3 = new javax.swing.JLabel();
        cOButton6 = new org.cocktail.component.COButton();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOCheckbox2 = new org.cocktail.component.COCheckbox();
        cOCheckbox3 = new org.cocktail.component.COCheckbox();
        cOCheckbox4 = new org.cocktail.component.COCheckbox();
        cOCheckbox6 = new org.cocktail.component.COCheckbox();
        cOCheckbox8 = new org.cocktail.component.COCheckbox();
        cOCheckbox9 = new org.cocktail.component.COCheckbox();
        cOCheckbox7 = new org.cocktail.component.COCheckbox();
        cOCheckbox5 = new org.cocktail.component.COCheckbox();

        displayGroup.setEntityName("TypePopulation");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupCorps.setEntityName("Corps");
        displayGroupCorps.setHasDelegate(true);

        displayGroupGrade.setEntityName("Grade");
        displayGroupGrade.setHasDelegate(true);

        displayGroupEchelon.setEntityName("PassageEchelon");
        displayGroupEchelon.setHasDelegate(true);

        setControllerClassName("org.cocktail.mangue.client.requetes.GestionRequetesAgent");
        setSize(new java.awt.Dimension(833, 544));

        listeAffichage.setColumns(new Object[][] {{null,"libelleCourt",new Integer(2),"Type Population",new Integer(0),new Integer(182),new Integer(1000),new Integer(86)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);
        listeAffichage.setResizingAllowed(true);

        cOButton4.setActionName("deselectionnerEchelon");
        cOButton4.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOButton4.setText("Déselectionner");

        listeAffichageCorps.setColumns(new Object[][] {{null,"llCorps",new Integer(2),"Corps",new Integer(0),new Integer(206),new Integer(1000),new Integer(10)}});
        listeAffichageCorps.setDisplayGroupForTable(displayGroupCorps);
        listeAffichageCorps.setResizingAllowed(true);

        cOButton2.setActionName("deselectionnerGrade");
        cOButton2.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOButton2.setText("Déselectionner");

        org.jdesktop.layout.GroupLayout vuePeriodeLayout = new org.jdesktop.layout.GroupLayout(vuePeriode);
        vuePeriode.setLayout(vuePeriodeLayout);
        vuePeriodeLayout.setHorizontalGroup(
            vuePeriodeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 506, Short.MAX_VALUE)
        );
        vuePeriodeLayout.setVerticalGroup(
            vuePeriodeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 34, Short.MAX_VALUE)
        );

        cOTextField1.setEnabledMethod("peutModifierIndice");
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("indice");

        jLabel6.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel6.setText("Type");

        cOButton3.setActionName("deselectionnerCorps");
        cOButton3.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOButton3.setText("Déselectionner");

        cOComboBox2.setIndexForSelection("typePersonnel");
        cOComboBox2.setTitles("*,Titulaires,Contractuels,Non Affectés,Hébergés");

        listeAffichageGrade.setColumns(new Object[][] {{null,"lcGrade",new Integer(2),"Grade",new Integer(0),new Integer(163),new Integer(1000),new Integer(10)}});
        listeAffichageGrade.setDisplayGroupForTable(displayGroupGrade);
        listeAffichageGrade.setResizingAllowed(true);

        cOButton1.setActionName("deselectionnerTypePopulation");
        cOButton1.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOButton1.setText("Déselectionner");

        cOButton5.setActionName("remettreAZero");
        cOButton5.setText("RAZ");

        listeAffichageEchelon.setColumns(new Object[][] {{null,"cEchelon",new Integer(2),"Echelon",new Integer(0),new Integer(70),new Integer(1000),new Integer(47)}});
        listeAffichageEchelon.setDisplayGroupForTable(displayGroupEchelon);

        cOComboBox1.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOComboBox1.setIndexForSelection("typeEnseignant");
        cOComboBox1.setTitles("*,Enseignant,Non Enseignant");

        popupTypeIndice.setActionName("popupTypeIndiceHasChanged");
        popupTypeIndice.setTitles("Brut,Majoré,Effectif");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Indice");

        vueOnglets.setFont(new java.awt.Font("Helvetica", 0, 12));

        Identite.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout IdentiteLayout = new org.jdesktop.layout.GroupLayout(Identite);
        Identite.setLayout(IdentiteLayout);
        IdentiteLayout.setHorizontalGroup(
            IdentiteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 781, Short.MAX_VALUE)
        );
        IdentiteLayout.setVerticalGroup(
            IdentiteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 230, Short.MAX_VALUE)
        );

        vueOnglets.addTab("Identité", Identite);

        Contrat.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ContratLayout = new org.jdesktop.layout.GroupLayout(Contrat);
        Contrat.setLayout(ContratLayout);
        ContratLayout.setHorizontalGroup(
            ContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 781, Short.MAX_VALUE)
        );
        ContratLayout.setVerticalGroup(
            ContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 230, Short.MAX_VALUE)
        );

        vueOnglets.addTab("Contrat", Contrat);

        Carriere.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CarriereLayout = new org.jdesktop.layout.GroupLayout(Carriere);
        Carriere.setLayout(CarriereLayout);
        CarriereLayout.setHorizontalGroup(
            CarriereLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 781, Short.MAX_VALUE)
        );
        CarriereLayout.setVerticalGroup(
            CarriereLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 230, Short.MAX_VALUE)
        );

        vueOnglets.addTab("Carrière", Carriere);

        OccupationAffectation.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout OccupationAffectationLayout = new org.jdesktop.layout.GroupLayout(OccupationAffectation);
        OccupationAffectation.setLayout(OccupationAffectationLayout);
        OccupationAffectationLayout.setHorizontalGroup(
            OccupationAffectationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 781, Short.MAX_VALUE)
        );
        OccupationAffectationLayout.setVerticalGroup(
            OccupationAffectationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 230, Short.MAX_VALUE)
        );

        vueOnglets.addTab("Occupation/Affectation", OccupationAffectation);

        Specialisation.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout SpecialisationLayout = new org.jdesktop.layout.GroupLayout(Specialisation);
        Specialisation.setLayout(SpecialisationLayout);
        SpecialisationLayout.setHorizontalGroup(
            SpecialisationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 781, Short.MAX_VALUE)
        );
        SpecialisationLayout.setVerticalGroup(
            SpecialisationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 230, Short.MAX_VALUE)
        );

        vueOnglets.addTab("Spécialisation", Specialisation);

        cOButton21.setActionName("afficherAide");
        cOButton21.setBorderPainted(false);
        cOButton21.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton21.setIconName("help.gif");

        jLabel3.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel3.setText("Récupérer");

        cOButton6.setActionName("rechercher");
        cOButton6.setBorderPainted(false);
        cOButton6.setEnabledMethod("peutRechercher");
        cOButton6.setIconName("loupe16.gif");

        cOCheckbox1.setEnabledMethod("nonModifiable");
        cOCheckbox1.setText("Etat civil");
        cOCheckbox1.setValueName("recupererEtatCivil");

        cOCheckbox2.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOCheckbox2.setText("Contrat/Carrière");
        cOCheckbox2.setValueName("recupererCarriere");

        cOCheckbox3.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOCheckbox3.setText("Affectation");
        cOCheckbox3.setValueName("recupererAffectation");

        cOCheckbox4.setEnabledMethod("peutRecupererAnciennete");
        cOCheckbox4.setText("Anc. Serv");
        cOCheckbox4.setValueName("recupererAnciennete");
        cOCheckbox4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox4ActionPerformed(evt);
            }
        });

        cOCheckbox6.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOCheckbox6.setText("Emploi");
        cOCheckbox6.setValueName("recupererEmploi");

        cOCheckbox8.setText("Adresse");
        cOCheckbox8.setValueName("recupererAdresse");

        cOCheckbox9.setText("Enfants");
        cOCheckbox9.setValueName("recupererEnfants");

        cOCheckbox7.setEnabledMethod("peutSelectionnerTypeEnseignant");
        cOCheckbox7.setText("Spécialisations");
        cOCheckbox7.setValueName("recupererSpecialisation");

        cOCheckbox5.setEnabledMethod("peutRecupererAnciennete");
        cOCheckbox5.setText("Réduc. Anc.");
        cOCheckbox5.setValueName("recupererReduction");
        cOCheckbox5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox5ActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel3)
                .add(18, 18, 18)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(4, 4, 4)
                        .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOCheckbox6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOCheckbox8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(4, 4, 4)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOCheckbox9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOCheckbox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOCheckbox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOCheckbox7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 65, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 35, Short.MAX_VALUE)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOCheckbox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOCheckbox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOCheckbox7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel3)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(cOCheckbox6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(cOCheckbox8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOCheckbox9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(194, 194, 194)
                        .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(vuePeriode, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(40, 40, 40))
                    .add(layout.createSequentialGroup()
                        .add(6, 6, 6)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 140, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 39, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                        .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 202, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(16, 16, 16)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(listeAffichageCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 226, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(16, 16, 16)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, listeAffichageGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 183, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(16, 16, 16)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .add(listeAffichageEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(cOButton21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jLabel2)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18)
                                        .add(popupTypeIndice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(9, 9, 9))))
                            .add(vueOnglets, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(70, 70, 70))
                    .add(layout.createSequentialGroup()
                        .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel6))
                    .add(vuePeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(listeAffichageGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 164, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 164, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(listeAffichageCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 164, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(listeAffichageEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 164, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOButton21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(7, 7, 7)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(popupTypeIndice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(vueOnglets, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 260, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(32, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cOCheckbox4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox4ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox4ActionPerformed

    private void cOCheckbox5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox5ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox5ActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JPanel Carriere;
    public javax.swing.JPanel Contrat;
    public javax.swing.JPanel Identite;
    public javax.swing.JPanel OccupationAffectation;
    public javax.swing.JPanel Specialisation;
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton21;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COButton cOButton6;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COCheckbox cOCheckbox2;
    public org.cocktail.component.COCheckbox cOCheckbox3;
    public org.cocktail.component.COCheckbox cOCheckbox4;
    public org.cocktail.component.COCheckbox cOCheckbox5;
    public org.cocktail.component.COCheckbox cOCheckbox6;
    public org.cocktail.component.COCheckbox cOCheckbox7;
    public org.cocktail.component.COCheckbox cOCheckbox8;
    public org.cocktail.component.COCheckbox cOCheckbox9;
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.COComboBox cOComboBox2;
    public org.cocktail.component.COTextField cOTextField1;
    private org.cocktail.component.COView cOView1;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupCorps;
    public org.cocktail.component.CODisplayGroup displayGroupEchelon;
    public org.cocktail.component.CODisplayGroup displayGroupGrade;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel6;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COTable listeAffichageCorps;
    public org.cocktail.component.COTable listeAffichageEchelon;
    public org.cocktail.component.COTable listeAffichageGrade;
    public org.cocktail.component.COComboBox popupTypeIndice;
    public javax.swing.JTabbedPane vueOnglets;
    public org.cocktail.component.COView vuePeriode;
    // End of variables declaration//GEN-END:variables
                  

}
